// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class main extends cc.Component {

    @property(cc.Node)
    eject: cc.Node = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        cc.assetManager.loadBundle('assets/res', function (err, bundle) {
            if (err) {
                return console.error(err);
            }
            // // 加载 prefab
            // bundle.load(`prefab`, cc.Prefab, function (err, prefab) {
            //     var newNode = cc.instantiate(prefab);
            //     cc.director.getScene().addChild(newNode);
            // });

            // // 加载 texture
            // bundle.load(`image`, cc.Texture2D, function (err, texture) {
            //     console.log(texture)
            // });
        });
    }

    start () {
        cc.resources.load('test1', (e, res) => {
            let newnode: any = cc.instantiate(res)
            this.eject.addChild(newnode)
            console.log(res)
        })
    }

    // update (dt) {}
}
